### Property

# Ide PipelineStage:stdout-path

#### Declaration

    property stdout-path: utf8 [ read, write ]

#### Description

The “stdout-path” property allows a build stage to redirect its log messages to a stdout file. Instead of passing stdout along to the build pipeline, they will be redirected to this file.

For safety reasons, the contents are first redirected to a temporary file and will be redirected to the stdout-path location after the build stage has completed executing.

Type: | `gchar*`
Available since: | 3.32

Setter method | `ide_pipeline_stage_set_stdout_path()`
Getter method | `ide_pipeline_stage_get_stdout_path()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no